Skip to main content
`Ctrl`+`K`

# PEPCISSGetExtraction

Gets the extraction technique used in the CISS solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCISSGetExtraction(PEP pep,PEPCISSExtraction *extraction)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- extraction - extraction technique

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCISS`, `PEPCISSSetExtraction()`, `PEPCISSExtraction`

## Level

advanced

## Location

src/pep/impls/ciss/pciss.c

## Implementations

PEPCISSGetExtraction_CISS() in src/pep/impls/ciss/pciss.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages